Skip to main content

Migrating from the ETP Web Services SOAP API to the Directory of Healthcare Services (Service Search) API

The ETP Web Services SOAP API will soon be deprecated. Learn what's involved in migrating your application to use the Directory of Healthcare Services (Service Search) API.

Overview

We are deprecating our Electronic Transmission of Prescriptions Web Services - SOAP API. It is still available for use, and is still fully supported, but we will not be adding any new features. We plan to retire the API and will consult with you to agree a suitable retirement date. 

We recommend you migrate your application to use the Directory of Healthcare Services (Service Search) API.

This page explains what's involved.


Why we are deprecating the ETP Web Services SOAP API

Over the years we have built multiple overlapping APIs for getting details of medication dispensers. 

As per our deprecation and retirement policy, we must ensure that public funds are used efficiently. So we have decided to rationalise our APIs. We have selected the Service Search API as the recommended one and are deprecting the ETP Web Services SOAP API.


What deprecated means

Deprecated means:

  • the API is still available for use
  • full service levels still apply
  • we are unlikely to make any updates to it
  • new integrations are not allowed - although in-flight integrations can continue
  • we intend to retire it at some point

We have not yet decided on a retirement date - we will consult with existing users before making a decision.


About the Directory of Healthcare Services (Service Search) API

The Directory of Healthcare Services (Service Search) API is our strategic API for finding information about NHS healthcare services, including lists of NHS organisation types, organisations, and coronavirus (COVID-19) walk-in sites. 

You can:  


Summary of differences

Area ETP Web Services SOAP API

Directory of Healthcare Services (Service Search) API

API type SOAP RESTful (HTTP)
Payload format XML JSON
Security Open-access Application-restricted - API key

 


Detailed migration guidance

The following sections explain how to migrate specific API calls from the ETP Web Services SOAP API to the Directory of Services (Service Search) API. 

The following use cases are covered:

  • get dispenser details
  • verify dispenser ODS code
  • search for a dispenser by name
  • search for a dispenser by name and location
  • search for a dispenser by location

Get dispenser details or verify ODS code

If you already know the ODS code (previously known as a NACS code) for a dispenser, you can get the details for the dispenser, or simply check that the ODS code is valid.

Using the ETP Web Services SOAP API

This use case uses the GetDispenserByNacsCode operation. It takes a single parameter, strnacscode, which is the ODS code of the dispenser to be retrieved. 

For more details, see the API specification. You can also see it in action from that page by entering an ODS code, such as FMM65, in the strnacscode field and selecting ‘Invoke’. 

Here’s an example request and response.

Request

POST /ETPWebservices/service.asmx/GetDispenserByNacsCode HTTP/1.1 
Host: nhsuk-etp-production.nhsuk-appservice-uks.p.azurewebsites.net 
Content-Type: application/x-www-form-urlencoded 
Content-Length: length 
strnacscode=FMM65

Response

<Dispensers cachedAt="23/06/2022 09:30:20" searchType="DISPENSER_BY_NACS">  
  <Dispenser organisationCode = "FMM65" name = "Jardines Pharmacy" telephone = "01908 506080" fax = "01908 526947" street = "32 BENBOW COURT" locality = "SHENLEY CHURCH END" town = "MILTON KEYNES" administrative = "" postcode = "MK5 6JG" EPS = "True">  
    <ServiceType>Community</ServiceType>  
  </Dispenser> 
</Dispensers>

Using the Directory of Healthcare Services (Service Search) API 

Use the search for organisations endpoint and include the ODS code in the search field.

To enable the filtering of sites by Electronic Transmission of Prescriptions enabled, use the filter IsEpsEnabled eq 'true'as seen in the example.

If you wish to view only non-EPS enabled sites, change the filter IsEpsEnabled eq 'false'

The EPS enabled flag can also be set to null, usually for sites which do not employ electronic prescriptions, such as opticians. It is possible to search for sites with EPS enabled set to null by changing the filter parameter to IsEpsEnabled eq 'null'

If you wish to view all dispensers remove the filter line from the curl command.

he EPS enabled flag for this example is set to true. This will filter on all results that have IsEpsEnabled set to true.

Here’s an example request and response.

Request

//Get dispenser by ODS code and service code

curl --get https://api.service.nhs.uk/service-search-api?api-version=3 \
--data-urlencode "search=FMM65" \
--data-urlencode "searchMode=all" \
--data-urlencode "searchFields=ODSCode" \
--data-urlencode "%24top=10" \
--data-urlencode "%24count=true" \
--data-urlencode "%24select=ODSCode,OrganisationName,Contacts,Address1,Address2,Address3,City,Postcode,OrganisationType,OrganisationSubType" \
--data-urlencode "%24filter=IsEpsEnabled eq ‘true’ "\
-H "apikey: <Your API KEY >"

Response

{
    "@odata.context": "https://nhsuksearchproduks.search.windows.net/indexes('syndicationprofiles-2-1-c-prod')/$metadata#docs(*)",
    "@odata.count": 1,
    "value": [
        {
            "@search.score": 1.0,
            "ODSCode": "FMM65",
            "OrganisationName": "Jardines Pharmacy",
			"OrganisationType": "Pharmacy",
            "Address1": "32 BENBOW COURT",
            "Address2": "SHENLEY CHURCH END",
            "Postcode": "MK5 6JG",
            "OrganisationSubType": "Community",
            "Contacts": [
                {
                    "ContactType": "Primary",
                    "ContactAvailabilityType": "Office hours",
                    "ContactMethodType": "Email",
                    "ContactValue": "[email protected]"
                },
                {
                    "ContactType": "Primary",
                    "ContactAvailabilityType": "Office hours",
                    "ContactMethodType": "Telephone",
                    "ContactValue": "01908 506080"
                },
                {
                    "ContactType": "Primary",
                    "ContactAvailabilityType": "Office hours",
                    "ContactMethodType": "Website",
                    "ContactValue": "http://www.jardinespharmacy.co.uk/"
                }
            ]
        }
    ]
}

Using the ETP Web Services SOAP API

If you already know the name of the dispenser, you can find dispensers that match that name. 

Using the ETP Web Services SOAP API 

This use case uses the GetDispenserByName operation. It takes two required parameters, and one optional parameter listed below. 

  • strorganisationame = NAME OF PHARMACY or BEGINS WITH (no wildcard character required)  
  • intservicetype = 1 (community pharmacy) or 2 (dispensing appliance contractor)  
  • streps = YES (EPS enabled) or NO (not EPS enabled) = optional, default to YES 

For more details, see the API specification. You can also see it in action from that page by entering the name of the pharmacy to search on (for example, Boots):

  • ServiceType - The service type to search for - that is, community (including internet) (1) or appliance (2).  
  • EPS - Retrieve EPS enabled/disabled dispensers (YES/ NO) and select ‘Invoke’. 

Here’s an example request and response. 

Request

POST /ETPWebservices/service.asmx/GetDispenserByName HTTP/1.1 
Host: nhsuk-etp-production.nhsuk-appservice-uks.p.azurewebsites.net 
Content-Type: application/x-www-form-urlencoded 
Content-Length: length 

strorganisationame=Jardines Pharmacy&intservicetype=1&streps=YES

Response

<Dispensers cachedAt="23/06/2022 09:33:35" searchType="DISPENSER_BY_NAME">
  <Dispenser organisationCode = "FA466" name = "Jardines Pharmacy" telephone = "01582 572098" fax = "01908 576150" street = "308 OAKLEY ROAD" locality = "" town = "" administrative = "" postcode = "LU4 9QD"></Dispenser> 
 <Dispenser organisationCode = "FF736" name = "JARDINES PHARMACY" telephone = "01767 313092" fax = "01767 312904" street = "5 KINGSFIELD ROAD" locality = "SAXON CENTRE" town = "BEDFORDSHIRE" administrative = "" postcode = "SG18 8AT"></Dispenser> 
  <Dispenser> ... more ... </Dispenser> 
</Dispensers>

Using the Directory of Healthcare Services (Service Search) API  

Use the search for organisations endpoint and include the name in the filter field, specifically in the search query parameter, as follows: 

  • include name in the search query, for example search=jardines+pharmacy
  • Filter on OrganisationSubType to return either community pharmacies, dispensing appliance contractors or (internet) distance sellers.

Important: The search.ismatch returns results where any word (case insensitive) in the search parameter appears in the OrganisationName. A search for jardines pharmacy would return anything with either jardines or pharmacy in the name, therefore would be 1000's of pharmacies. To return results that contain all words (case incentive) join words with +, for example jardines+pharmacy. 

Here are some example requests and responses broken down into three call options

Request

Returns a list of dispensers filtered by community

// Get dispenser by name (community)
curl --get https://api.service.nhs.uk/service-search-api?api-version=3 \
--data-urlencode "search=jardines+pharmacy" \
--data-urlencode "searchMode=all" \
--data-urlencode "searchFields=OrganisationName" \
--data-urlencode "%24top=10" \
--data-urlencode "%24count=true" \
--data-urlencode "%24select=ODSCode,OrganisationName,Contacts,Address1,Address2,Address3,City,Postcode,OrganisationType,OrganisationSubType" \
--data-urlencode "%24filter=IsEpsEnabled eq 'true' and OrganisationTypeId eq 'PHA'  and OrganisationSubType eq 'Community'" \
-H "apikey: <Your API KEY >"

Returns a list of dispensers filtered by Dispensing Appliance Contractor

// Get dispenser by name (Dispensing Appliance Contractor)
curl --get https://api.service.nhs.uk/service-search-api?api-version=3 \
--data-urlencode "search=securicare" \
--data-urlencode "searchMode=all" \
--data-urlencode "searchFields=OrganisationName" \
--data-urlencode "%24top=10" \
--data-urlencode "%24count=true" \
--data-urlencode "%24select=ODSCode,OrganisationName,Contacts,Address1,Address2,Address3,City,Postcode,OrganisationType,OrganisationSubType,Services" \
--data-urlencode "%24filter=IsEpsEnabled eq 'true' and OrganisationTypeId eq 'PHA'  and OrganisationSubType eq 'DispensingApplianceContractors'" \
-H "apikey: <Your API KEY >"

Returns a list of dispensers filtered by internet pharmacy

// Get dispenser by name distance sellers  / internet pharmacies by name  
curl --get https://api.service.nhs.uk/service-search-api?api-version=3 \
--data-urlencode "search=pharmacy2u" \
--data-urlencode "searchMode=all" \
--data-urlencode "searchFields=OrganisationName" \
--data-urlencode "%24top=10" \
--data-urlencode "%24count=true" \
--data-urlencode "%24select=ODSCode,OrganisationName,Contacts,Address1,Address2,Address3,City,Postcode,OrganisationType,OrganisationSubType" \
--data-urlencode "%24filter= IsEpsEnabled eq 'true' and OrganisationTypeId eq 'PHA'  and OrganisationSubType eq 'DistanceSelling'" \
-H "apikey: <Your API KEY >"

Response

{
    "@odata.context": "https://nhsuksearchproduks.search.windows.net/indexes('syndicationprofiles-2-1-c-prod')/$metadata#docs(*)",
    "@odata.count": 19,
    "value": [
        {
            "@search.score": 1.0,
            "ODSCode": "FF736",
            "OrganisationName": "JARDINES PHARMACY",
			"OrganisationType": "Pharmacy",
            "Address1": "5 KINGSFIELD ROAD",
            "Address2": "SAXON CENTRE",
            "Postcode": "SG18 8AT",
            "OrganisationSubType": "Community",
            "Contacts": [
                {
                    "ContactType": "Primary",
                    "ContactAvailabilityType": "Office hours",
                    "ContactMethodType": "Email",
                    "ContactValue": "[email protected]"
                },
                {
                    "ContactType": "Primary",
                    "ContactAvailabilityType": "Office hours",
                    "ContactMethodType": "Telephone",
                    "ContactValue": "01767 313092"
                },
                {
                    "ContactType": "Primary",
                    "ContactAvailabilityType": "Office hours",
                    "ContactMethodType": "Website",
                    "ContactValue": "http://www.jardinespharmacy.co.uk/"
                }
            ]
        },
		{ ... more results ... }
	]
}

Search for a dispenser by name and location 

If you already know the name of the dispenser and a location (postcode, street or town), you can list the first 25 dispensaries that match the name and near to the location. 

Using the ETP Web Services SOAP API 

This use case uses the GetDispenserByNameAndLocation operation. It takes these parameters:

  • strorganisationame = NAME OF PHARMACY or BEGINS WITH (no wildcard character required)  
  • strstreet = Street name 
  • strtown = Name of town to search 
  • Strpartpostcode = First part of a valid postcode to search on 
  • intservicetype = 1 (community pharmacy) or 2 (dispensing appliance contractor)  
  • streps = YES (EPS enabled) or NO (not EPS enabled) = optional, default to YES 

For more details, see the API specification. 

You can also see it in action from that page by entering: 

  • name of the pharmacy to search on (for example, Boots).  
  • postcode (for example, LS1) 
  • ServiceType - The service type to search for (for example, community (inc. internet) (1) or appliance (2)).  
  • EPS - retrieve EPS enabled/ disabled. dispensers (YES/ NO) and selecting ‘invoke’. 

Here’s an example request and response.

Request

POST /ETPWebservices/service.asmx/GetDispenserByNameAndLocation HTTP/1.1 
Host: nhsuk-etp-production.nhsuk-appservice-uks.p.azurewebsites.net 
Content-Type: application/x-www-form-urlencoded 
Content-Length: length 
strorganisationame=Jardines Pharmacy&strpartpostcode=MK5&intservicetype=1&streps=YES 
or 
strorganisationame=Jardines Pharmacy&strtown=SHENLEY&intservicetype=1&streps=YES 
or 
strorganisationame=Jardines Pharmacy&strstreet=32 BENBOW&strtown=MILTON&intservicetype=1&streps=YES 
or 
strorganisationame=Jardines Pharmacy&strstreet=32 BENBOW&strpartpostcode=MK5&intservicetype=1&streps=YES

Response

<Dispensers cachedAt="23/06/2022 09:49:05" searchType="DISPENSER_BY_NAME_PARTPOSTCODE"> 
  <Dispenser organisationCode = "FMM65" name = "Jardines Pharmacy" telephone = "01908 506080" fax = "01908 526947" street = "32 BENBOW COURT" locality = "SHENLEY CHURCH END" town = "MILTON KEYNES" administrative = "" postcode = "MK5 6JG"> 
  </Dispenser> 
  <Dispenser> 
  ... more ...  
  </Dispenser>  
</Dispensers>

Using the Directory of Healthcare Services (Service Search) API 

Use the search for organisations endpoint and include the location in the “search” querystring as follows: 

The equivalent query with the new NHS.UK API is a two-step query process. 

To determine the latitude/longitude, use the Ordnance Survey API.

Step 1:

  • confirm the location 
  • search for postcode or place 

The implementing system would need to present the short list of locations, for the user to select which location they want. The latitude and longitude coordinates are then used in a second query.

Step 2:

  • return the dispensing sites 

Use the search endpoint (version 3) with the GeoLocation in the “latitude” and “longitude” querystring as follows.

Here’s an example request and response.

Request

//Get dispenser by name and location part 2

curl --get https://api.service.nhs.uk/service-search-api?api-version=3 \
--data-urlencode "search=*" \
--data-urlencode "searchMode=all" \
--data-urlencode "searchFields=*" \
--data-urlencode "%24top=10" \
--data-urlencode "%24count=true" \
--data-urlencode "%24select=ODSCode,OrganisationName,Contacts,Address1,Address2,Address3,City,Postcode,OrganisationSubType" \
--data-urlencode "%24filter=Services / any (x: x/ServiceCode eq 'EPS0001' ) and OrganisationTypeId eq 'PHA' and OrganisationSubType eq 'Community'" \
--data-urlencode "%24orderby=geo.distance(Geocode, geography'POINT(-0.76444095373153675 52.000820159912109)')" \
-H "apikey: <Your API KEY >"

Response

{
    "@odata.context": "https://nhsuksearchproduks.search.windows.net/indexes('syndicationprofiles-2-2-c-prod')/$metadata#docs(*)",
    "@odata.count": 4690,
    "value": [
        {
            "@search.score": 1.0,
            "ODSCode": "FR402",
            "OrganisationName": "P & I Smith Ltd",
            "Address1": "206 WHADDON WAY",
            "Address2": "BLETCHLEY",
            "Address3": "MILTON KEYNES",
            "City": "BUCKINGHAMSHIRE",
            "Postcode": "MK3 7DG",
            "OrganisationSubType": "Community",
            "Contacts": [
                {
                    "ContactType": "Primary",
                    "ContactAvailabilityType": "Office hours",
                    "ContactMethodType": "Telephone",
                    "ContactValue": "01908372161"
                },
                {
                    "ContactType": "Primary",
                    "ContactAvailabilityType": "Office hours",
                    "ContactMethodType": "Website",
                    "ContactValue": "https://www.mysmithspharmacy.uk"
                }
            ]
        },
        {
            "@search.score": 1.0,
            "ODSCode": "FHH81",
            "OrganisationName": "Boots",
            "Address1": "UNIT A",
            "Address2": "WESTCROFT RETAIL PARK",
            "Address3": "WESTCROFT",
            "City": "MILTON KEYNES",
            "Postcode": "MK4 4DD",
            "OrganisationSubType": "Community",
            "Contacts": [
                {
                    "ContactType": "Primary",
                    "ContactAvailabilityType": "Office hours",
                    "ContactMethodType": "Telephone",
                    "ContactValue": "01908506165"
                },
                {
                    "ContactType": "Primary",
                    "ContactAvailabilityType": "Office hours",
                    "ContactMethodType": "Email",
                    "ContactValue": "[email protected]"
                },
                {
                    "ContactType": "Primary",
                    "ContactAvailabilityType": "Office hours",
                    "ContactMethodType": "Website",
                    "ContactValue": "www.Boots.com"
                }
            ]
        }
    ]
}

Search for a dispenser by location 

If you already know the postcode of the area you wish to search in, you can list the first 25 dispensaries that match that nearest to the location. 

Using the ETP Web Services SOAP API 

This use case uses the GetDispenserByNearest operation. It takes these parameters:

  • strfullpostcode = full valid postcode to search on 
  • intservicetype = 1 (community pharmacy) or 2 (dispensing appliance contractor)  
  • streps = YES (EPS enabled) or NO (not EPS enabled) = optional, default to YES 

For more details, see the API specification. 

You can also see it in action from that page by entering: 

  • postcode (e.g. LS1 4RT) 
  • ServiceType - The service type to search for - that is, community (inc. internet) (1) or appliance (2).  
  • EPS - retrieve EPS enabled/disabled. dispensers (YES/ NO) and selecting ‘Invoke’. 

Here’s an example request and response.

Request

POST /ETPWebservices/service.asmx/GetDispenserByNearest HTTP/1.1 
Host: nhsuk-etp-production.nhsuk-appservice-uks.p.azurewebsites.net 
Content-Type: application/x-www-form-urlencoded 
Content-Length: length 
strfullpostcode=NG16 3BF&intservicetype=1&streps=YES

Response

<Dispensers cachedAt="16/09/2022 08:38:19" searchType="DISPENSER_BY_NEAREST"> 
<Dispenser organisationCode = "FP283" name = "WELL" telephone = "01773 713 283" fax = "" street = "2A CHURCH WALK" locality = "EASTWOOD" town = "" administrative = "" postcode = "NG16 3BG" distance = "0.43607243687095"></Dispenser> 
<Dispenser organisationCode = "FWK34" name = "ASDA PHARMACY" telephone = "01773 536130" fax = "" street = "WESLEY ST" locality = "" town = "" administrative = "" postcode = "NG16 4ED" distance = "0.676072795661906"></Dispenser> 
<Dispenser organisationCode = "FJC63" name = "Boots" telephone = "01773713064" fax = "01773716035" street = "205 NOTTINGHAM ROAD" locality = "HILLTOP, EASTWOOD" town = "NOTTINGHAMSHIRE" administrative = "" postcode = "NG16 3GS" distance = "0.895811624336693"></Dispenser> 
... more results ... 
</Dispensers>

Using the Directory of Healthcare Services (Service Search) API 

Use the search for organisations endpoint and include the location in the "search" querystring as follows:

The equivalent query with the new NHS.UK API is a two-step query process.

To determine the latitude/longitude, use the Ordnance Survey API.

Step 1:

  • confirm the location
  • search for postcode or place

The implementing system would need to present the short list of locations, for the user to select which location they want. The latitude and longitude coordinates are then used in a second query.

Step 2: 

  • return the dispensing sites

Use the search  endpoint (version 3) with the Geolocation in the "latitude" and "longitude" as follows.

Here’s an example request and response.

Request

//Get dispenser by name and location part 2

curl --get https://api.service.nhs.uk/service-search-api?api-version=3 \
--data-urlencode "search=*" \
--data-urlencode "searchMode=all" \
--data-urlencode "searchFields=*" \
--data-urlencode "%24top=10" \
--data-urlencode "%24count=true" \
--data-urlencode "%24select=ODSCode,OrganisationName,Contacts,Address1,Address2,Address3,City,Postcode,OrganisationSubType" \
--data-urlencode "%24filter=Services / any (x: x/ServiceCode eq 'EPS0001' ) and OrganisationTypeId eq 'PHA' and OrganisationSubType eq 'Community'" \
--data-urlencode "%24orderby=geo.distance(Geocode, geography'POINT(-0.76444095373153675 52.000820159912109)')" \
-H "apikey: <Your API KEY >"

Response

{
    "@odata.context": "https://nhsuksearchproduks.search.windows.net/indexes('syndicationprofiles-2-2-c-prod')/$metadata#docs(*)",
    "@odata.count": 4690,
    "value": [
        {
            "@search.score": 1.0,
            "ODSCode": "FR402",
            "OrganisationName": "P & I Smith Ltd",
            "Address1": "206 WHADDON WAY",
            "Address2": "BLETCHLEY",
            "Address3": "MILTON KEYNES",
            "City": "BUCKINGHAMSHIRE",
            "Postcode": "MK3 7DG",
            "OrganisationSubType": "Community",
            "Contacts": [
                {
                    "ContactType": "Primary",
                    "ContactAvailabilityType": "Office hours",
                    "ContactMethodType": "Telephone",
                    "ContactValue": "01908372161"
                },
                {
                    "ContactType": "Primary",
                    "ContactAvailabilityType": "Office hours",
                    "ContactMethodType": "Website",
                    "ContactValue": "https://www.mysmithspharmacy.uk"
                }
            ]
        },
        {
            "@search.score": 1.0,
            "ODSCode": "FHH81",
            "OrganisationName": "Boots",
            "Address1": "UNIT A",
            "Address2": "WESTCROFT RETAIL PARK",
            "Address3": "WESTCROFT",
            "City": "MILTON KEYNES",
            "Postcode": "MK4 4DD",
            "OrganisationSubType": "Community",
            "Contacts": [
                {
                    "ContactType": "Primary",
                    "ContactAvailabilityType": "Office hours",
                    "ContactMethodType": "Telephone",
                    "ContactValue": "01908506165"
                },
                {
                    "ContactType": "Primary",
                    "ContactAvailabilityType": "Office hours",
                    "ContactMethodType": "Email",
                    "ContactValue": "[email protected]"
                },
                {
                    "ContactType": "Primary",
                    "ContactAvailabilityType": "Office hours",
                    "ContactMethodType": "Website",
                    "ContactValue": "www.Boots.com"
                }
            ]
        }
    ]
}

Additional differences

Search by location

Searching by location requires more then one call step. 

To restrict responses by country, the following should be added to the filters:

For Wales only:"filter": "and Country eq 'Wales'"
For England only:"filter": "and Country eq 'England'"
Without the country filter, default behaviour will return both England and Wales.

Filter by site facilities

It is possible to check that sites have certain facilities, such as disabled parking or wheelchair access. Service Search allows you to do this using the filter parameter. If, for example, you wanted to search for a facility that had wheelchair access, you could include this line in your filter:

Facilities / any (x: x/Name eq 'Wheelchair access' and x/Value eq 'Yes')

An example query is provided below, which searches for sites with wheelchair access in Bletchley and counts the results.

Request

curl --get https://int.api.service.nhs.uk/service-search-api?api-version=3 \
--data-urlencode "search=Bletchley" \
--data-urlencode "searchFields=Address3,City,County" \
--data-urlencode "%24count=true" \
--data-urlencode "%24select=ODSCode, OrganisationType, OrganisationName, Facilities" \
-H "apikey: <YOUR API KEY>"

How to migrate to the Service Search API

As per our getting started guidance, here’s what you need to do:

1. Create a developer account

If you create a developer account on our API platform, we can let you know of any important updates.

2. Design and build your changes

When designing and building your software, consider:

  • redesigning your application to make calls to the Directory of Healthcare Services (Service Search) API instead of the ETP Web Services SOAP API

  • changing the format of your API requests to match the requests in the differences table for Directory of Healthcare Services (Service Search) API

  • changing your application to handle the new response type (JSON) instead of SOAP XML. 

  • identifying a solution to cover the “additional differences” section on the page, these will be specific to your application

3. Test your changes

Use our INT environment to test your integration. 


Help and support

For help migrating to the Directory of Healthcare Services (Service Search) API, contact us. 

Last edited: 18 August 2025 2:59 pm